ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/all-available
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/all-available' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "endpoint": "string", "type": "string", "serialNumber": "string", "instrumentName": "string" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/initialize
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/instruments/initialize' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/global-run-state
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/global-run-state' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "endpoint": "string", "instrumentName": "string", "serialNumber": "string", "thermalDevice": 0, "hepaUv": true, "isEnclosurePresent": true, "isFakeInstrument": true, "channelConfiguration": 0, "thermalDeviceNames": [ { … } ], "channelConfigurationNames": [ { … } ], "hhcConfiguration": { "adapter": 0, "supportedAdapters": [ … ] } }
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/instruments?serialNumber=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/get-active-system
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/get-active-system' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "name": "string", "description": "string", "instrumentName": "string", "workspaceName": "string", "isConnected": true, "isConnecting": true, "connectedInstrumentName": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/connection-status
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/connection-status' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "isControlled": true, "controllerMachineName": "string", "controllerUserName": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/connection-info
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/connection-info' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ "string" ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/connect-to-instrument
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/instruments/connect-to-instrument' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/mock
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/instruments/mock' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"thermalDevice": 0,
"hepaUv": true,
"channelConfiguration": 0,
"isEnclosurePresent": true
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/instruments/serial-number
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/instruments/serial-number' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
"string"